<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpsps070000-asr-001_Y99009-002_2012-03-31_01_2012-06-29.xsd#jpsps070000-asr_Y99009-002_AnnexedDetailedSchedulesNA" xlink:label="AnnexedDetailedSchedulesNA"/>
    <link:label xlink:type="resource" xlink:label="label_AnnexedDetailedSchedulesNA_3" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Annexed detailed schedules (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnnexedDetailedSchedulesNA" xlink:to="label_AnnexedDetailedSchedulesNA_3" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_AnnexedDetailedSchedulesNA_4" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Annexed detailed schedules (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnnexedDetailedSchedulesNA" xlink:to="label_AnnexedDetailedSchedulesNA_4" order="1.0"/>
  </link:labelLink>
</link:linkbase>
